head	1.3;
access;
symbols
	RELEASE_9_0_0:1.2
	RELEASE_7_4_0:1.2
	RELEASE_8_2_0:1.2
	RELEASE_6_EOL:1.2
	RELEASE_8_1_0:1.2
	RELEASE_7_3_0:1.2
	RELEASE_8_0_0:1.2
	RELEASE_7_2_0:1.2
	RELEASE_7_1_0:1.2
	RELEASE_6_4_0:1.2
	RELEASE_5_EOL:1.2
	RELEASE_7_0_0:1.2
	RELEASE_6_3_0:1.2
	PRE_XORG_7:1.2
	RELEASE_4_EOL:1.2
	RELEASE_6_2_0:1.2
	RELEASE_6_1_0:1.2
	RELEASE_5_5_0:1.2
	RELEASE_6_0_0:1.2
	RELEASE_5_4_0:1.2
	RELEASE_4_11_0:1.2
	RELEASE_5_3_0:1.2
	RELEASE_4_10_0:1.1
	RELEASE_5_2_1:1.1
	RELEASE_5_2_0:1.1
	RELEASE_4_9_0:1.1
	RELEASE_5_1_0:1.1
	RELEASE_4_8_0:1.1
	RELEASE_5_0_0:1.1
	RELEASE_4_7_0:1.1
	RELEASE_4_6_2:1.1
	RELEASE_4_6_1:1.1
	RELEASE_4_6_0:1.1
	RELEASE_5_0_DP1:1.1
	RELEASE_4_5_0:1.1;
locks; strict;
comment	@# @;


1.3
date	2012.01.01.19.30.37;	author ohauer;	state dead;
branches;
next	1.2;

1.2
date	2004.07.16.06.17.27;	author dinoex;	state Exp;
branches;
next	1.1;

1.1
date	2001.10.22.18.05.33;	author ache;	state Exp;
branches;
next	;


desc
@@


1.3
log
@- remove apache13 and ports depending on apache13 from portstree
  ( EXPIRATION_DATE=2012-01-01 )

with hat apache@@
@
text
@#!/bin/sh
# $FreeBSD: ports/www/apache13-modssl/pkg-install,v 1.2 2004/07/16 06:17:27 dinoex Exp $
#

if [ "$2" != "PRE-INSTALL" ]; then
    exit 0
fi

USER=www
GROUP=${USER}
UID=80
GID=${UID}

if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
	if pw groupadd ${GROUP} -g ${GID}; then
		echo "Added group \"${GROUP}\"."
	else
		echo "Adding group \"${GROUP}\" failed..."
		exit 1
	fi
fi

if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
	nologin=`grep operator /etc/passwd | cut -d : -f 7`
	if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
		-s "${nologin}" -d "/nonexistent" \
		-c "World Wide Web Owner"; \
	then
		echo "Added user \"${USER}\"."
	else
		echo "Adding user \"${USER}\" failed..."
		exit 1
	fi
fi
exit 0
@


1.2
log
@- handle transition from /sbin/nologin -> /usr/sbin/nologin
@
text
@d2 1
a2 1
# $FreeBSD: ports/www/apache13-modssl/pkg-install,v 1.1 2001/10/22 18:05:33 ache Exp $
@


1.1
log
@Add files missing in prev. commit
@
text
@d2 1
a2 1
# $FreeBSD: ports/www/apache13/pkg-install,v 1.1 2001/10/21 17:33:37 ache Exp $
d24 1
d26 1
a26 1
		-s "/sbin/nologin" -d "/nonexistent" \
@

